# Uses of Class
org.eclipse.text.templates.TemplatePersistenceData

Packages that use TemplatePersistenceData
Package
Description
org.eclipse.jface.text.templates.persistence
Provides persistence support for templates.
org.eclipse.text.templates

## Uses of TemplatePersistenceData in org.eclipse.jface.text.templates.persistence

Subclasses of TemplatePersistenceData in org.eclipse.jface.text.templates.persistence
Modifier and Type
Class
Description
`class`
`TemplatePersistenceData`
Deprecated.
See `TemplatePersistenceData`
Constructors in org.eclipse.jface.text.templates.persistence with parameters of type TemplatePersistenceData
Modifier
Constructor
Description
``
`TemplatePersistenceData(TemplatePersistenceData data)`
Deprecated.
In some cases, we must continue to respect the deprecated TemplatePresistenceData even though we are given `TemplatePersistenceData`.

## Uses of TemplatePersistenceData in org.eclipse.text.templates

Methods in org.eclipse.text.templates that return TemplatePersistenceData
Modifier and Type
Method
Description
`TemplatePersistenceData[]`
TemplateStoreCore.`getTemplateData(boolean includeDeleted)`
Returns all template data.
`TemplatePersistenceData`
TemplateStoreCore.`getTemplateData(String id)`
Returns the template data of the template with id `id` or `null` if no such template can be found.
`TemplatePersistenceData[]`
TemplateReaderWriter.`read(InputStream stream, ResourceBundle bundle)`
Reads templates from a stream and adds them to the templates.
`TemplatePersistenceData[]`
TemplateReaderWriter.`read(Reader reader)`
Reads templates from a reader and returns them.
`TemplatePersistenceData[]`
TemplateReaderWriter.`read(Reader reader, ResourceBundle bundle)`
Reads templates from a stream and adds them to the templates.
`TemplatePersistenceData`
TemplateReaderWriter.`readSingle(Reader reader, String id)`
Reads the template with identifier `id` from a reader and returns it.
Methods in org.eclipse.text.templates that return types with arguments of type TemplatePersistenceData
Modifier and Type
Method
Description
`protected final List<TemplatePersistenceData>`
TemplateStoreCore.`internalGetTemplates()`
Return the stored templates
Methods in org.eclipse.text.templates with parameters of type TemplatePersistenceData
Modifier and Type
Method
Description
`void`
TemplateStoreCore.`add(TemplatePersistenceData data)`
Adds a template encapsulated in its persistent form.
`void`
TemplateStoreCore.`delete(TemplatePersistenceData data)`
Removes a template from the store.
`protected static final UUID`
TemplatePersistenceData.`getUniqueIdForEquals(TemplatePersistenceData data)`
Required to support equals() with deprecated type org.eclipse.jface.text.templates.persistence.TemplatePersistenceData.
`protected void`
TemplateStoreCore.`internalAdd(TemplatePersistenceData data)`
Adds a template to the internal store.
`void`
TemplateReaderWriter.`save(TemplatePersistenceData[] templates, OutputStream stream)`
Saves the templates as XML, encoded as UTF-8 onto the given byte stream.
`void`
TemplateReaderWriter.`save(TemplatePersistenceData[] templates, Writer writer)`
Saves the templates as XML.